#ifndef __PLUGINS_H
#define __PLUGINS_H

#include <limits.h>          /*PATH_MAX */

#define PLUGIN_SUFFIX  ".so"

typedef struct _Plugin
{
  char filename[PATH_MAX];
  char *name;
  char *description;
  unsigned int show_in_menu;
  unsigned int load;
  void *module;
  void (*plugin_cb)();
} Plugin;

Plugin *plugin_load (const char *filename);
void plugin_action (Plugin *p);
char *plugin_select (void);
void plugin_destroy (Plugin *p);

#endif  /* __PLUGINS_H */
